# PSF-LoginServer - master - net.psforever.objects.vital.resistance.ResistanceCalculations
PSF - LoginServer - master - net.psforever.objects.vital.resistance.ResistanceCalculations
Keywords: PSF LoginServer master net.psforever.objects.vital.resistance.ResistanceCalculations

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resistance
  Definition Classes
    vital
- ResistanceCalculations
- ResistanceProfile
- ResistanceProfileMutators
- ResistanceSelection
- StandardResistanceProfile

c

net.psforever.objects.vital.resistance

# ResistanceCalculations 

###
Companion object ResistanceCalculations

#### abstract class ResistanceCalculations[TargetType] extends AnyRef

The base for function literal description related to calculating resistance information. This glue connects target validation to value extraction to avoid the possibility of `NullPointerException` and `ClassCastException`. Some different types of vital objects store their resistance values in different places.

TargetType

  an internal type that converts between `validate`'s output and `extractor`'s input; in essence, should match the type of object container to which these resistances belong; never has to be defined explicitly but will be checked at compile time

Source
  ResistanceCalculations.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AmenityHitResistance, AmenitySplashResistance, InfantryAggravatedResistance, InfantryHitResistance, InfantryLashResistance, InfantrySplashResistance, NoResistance, VehicleAggravatedResistance, VehicleHitResistance, VehicleLashResistance, VehicleSplashResistance

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResistanceCalculations
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ResistanceCalculations(validate: (DamageInteraction) => Try[TargetType], extractor: (TargetType) => Int, default: Int = 0)

   validate

     determine if a more generic `target` object is actually an expected type; cast to and return that type of object

   extractor

     recover the resistance values from an approved type of object

   default

     if the target does not match the validator, this is the constant resistance to return; the code really needs to be examined in this case; defaults to 0

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Calculate(data: DamageInteraction): Int

   Get resistance values.

   Get resistance values.

   data

     the historical `DamageInteraction` information

   returns

     the damage value

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped